<div class="ui modal form">
  <i class="close icon"></i>
  <div class="header">
    Crear
  </div>
  <div class="content">
    <%= form_for @question,
                 url: admin_academic_subject_subject_module_content_question_path(
                   content_id: @content.id, module_id: @module.id, subject_id: @subject,
                   semester_id: @semester, career_id: @career),
                 remote: true do |form| %>

      <%= error_message(@question) %>

      <div class="ui one column stackable grid">
        <div class="column">
          <strong>Titulo</strong>
          <%= form.select(:is_active, [['Activo', true], ['Inactivo', false]].sort,
                          {prompt: 'Seleccione una opción'}, {class: 'ui fluid selection dropdown'}) %>
        </div>
      </div>

      <div class="ui one column stackable grid">
        <div class="column">
          <strong>Titulo</strong>
          <%= form.rich_text_area :title %>
        </div>
      </div>

      <div data-controller="nested-form">
        <div class="ui one column stackable grid">
          <div class="column">
            <h3>Respuestas</h3>
          </div>
        </div>

        <div class="hr-divider"></div>

      <template data-target="nested-form.template">
        <%= form.fields_for :answers, Admin::Academic::Subject::ExamQuestionAnswer.new, child_index: 'TEMPLATE_RECORD' do |answer| %>
          <%= render 'admin/academic/subject/content_questions/forms/answers', form: answer %>
        <% end %>
      </template>

        <%= form.fields_for :answers do |answer| %>
          <%= render 'admin/academic/subject/content_questions/forms/answers', form: answer %>
        <% end %>

        <div data-target="nested-form.add_task" style="position: absolute; right: 1.3rem; top: 11rem">
          <%= link_to "Agregar", '#', data: { action: "nested-form#add_association" }, class: 'nested-add-field-button ui blue button' %>
        </div>

      </div>

      <div class="hr-divider"></div>

      <div class="ui one column stackable grid">
        <div class="column">
          <%= form.submit 'Guardar', class: 'ui fluid green button' %>
        </div>
      </div>

    <% end %>
  </div>

</div>

<script>
  $('.ui.dropdown').dropdown({showOnFocus: false});
</script>

<style>
  .nested-add-field-button {
    position: absolute;
    top: 10.5rem;
    right: .25rem;
  }
</style>
